Bug 24526 - Problem with xgettext and kudzu message
Summary: Problem with xgettext and kudzu message
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-22 00:26 UTC by Christian Rose
Modified: 2014-03-17 02:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-22 17:39:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christian Rose 2001-01-22 00:26:40 UTC
#: kudzu.init:50
#, c-format
msgid "Run '%s' from the command line to re-detect."

#: kudzu.init:48
#, c-format
msgid "Run '%' from the command line to re-detect.\n"

These kudzu messages are from the initscripts module in the i18n robot. The
second one of them seems broken - it's c-format but with an unescaped %,
and msgfmt will complain with a fatal error if I translate this original
message with a message with an identically unescaped %.

Comment 1 Glen Foster 2001-01-22 17:39:40 UTC
This defect is considered MUST-FIX for Florence Release-Candidate #1

Comment 2 Bill Nottingham 2001-01-23 22:28:50 UTC
fixed in 0.90-2.


Note You need to log in before you can comment on or make changes to this bug.